clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::dependencies::DependencyScanningTool Class Reference

The high-level implementation of the dependency discovery tool that runs on an individual worker thread. More...

`#include "clang/Tooling/DependencyScanning/DependencyScanningTool.h"`

## Public Member Functions
| DependencyScanningTool (DependencyScanningService &Service)
| Construct a dependency scanning tool. More...
llvm::Expected< std::string > | getDependencyFile (const tooling::CompilationDatabase &Compilations, StringRef CWD)
| Print out the dependency information into a string using the dependency file format that is specified in the options (-MD is the default) and return it. More...

## Detailed Description

The high-level implementation of the dependency discovery tool that runs on an individual worker thread.

Definition at line 23 of file DependencyScanningTool.h.

## Constructor & Destructor Documentation

## ◆ DependencyScanningTool()

clang::tooling::dependencies::DependencyScanningTool::DependencyScanningTool | ( | DependencyScanningService & | Service | ) |

Construct a dependency scanning tool.

Definition at line 25 of file DependencyScanningTool.cpp.

## Member Function Documentation

## ◆ getDependencyFile()

llvm::Expected< std::string > clang::tooling::dependencies::DependencyScanningTool::getDependencyFile | ( | const tooling::CompilationDatabase & | Compilations,
|  | StringRef | CWD
| ) |  |

Print out the dependency information into a string using the dependency file format that is specified in the options (-MD is the default) and return it.

Returns
  A `StringError` with the diagnostic output if clang errors occurred, dependency file contents otherwise.

Prints out all of the gathered dependencies into a string.

Definition at line 30 of file DependencyScanningTool.cpp.

The documentation for this class was generated from the following files:

- include/clang/Tooling/DependencyScanning/DependencyScanningTool.h
- lib/Tooling/DependencyScanning/DependencyScanningTool.cpp